Skip to main content
POST
/
api
/
v1
/
platform
/
scrapers
/
seo
/
keywords
Get SEO keywords
curl --request POST \
  --url https://developer.thehog.ai/api/v1/platform/scrapers/seo/keywords \
  --header 'Content-Type: application/json' \
  --header 'X-Access-Key: <api-key>' \
  --header 'X-Secret-Key: <api-key>' \
  --data '
{
  "domain": "acme.com",
  "searchType": "MostValuable",
  "pageSize": 25,
  "searchVolumeMin": 1,
  "searchVolumeMax": 1,
  "rankMin": 2,
  "rankMax": 2,
  "includeTerms": "<string>",
  "excludeTerms": "<string>"
}
'
{
  "data": {
    "resultCount": 123,
    "totalMatchingResults": 123,
    "keywords": [
      {
        "keyword": "<string>",
        "searchVolume": 123,
        "rank": 123,
        "rankingDifficulty": 123,
        "totalMonthlyClicks": 123,
        "percentOrganicClicks": 123,
        "broadCostPerClick": 123,
        "isQuestion": true
      }
    ],
    "domain": "<string>",
    "seedKeyword": "<string>",
    "includedDomains": [
      "<string>"
    ],
    "excludedDomains": [
      "<string>"
    ],
    "searchType": "<string>"
  },
  "meta": {
    "requestId": "<string>"
  }
}

POST /api/v1/platform/scrapers/seo/keywords

List organic search keywords for a domain.
Returns ranked keywords with volume, position, difficulty, and click estimates. Use searchType to focus on gains, losses, newly ranked terms, or the most valuable keywords.

Example

curl -X POST https://developer.thehog.ai/api/v1/platform/scrapers/seo/keywords \
  -H "X-Access-Key: ak_xxxxxxxxxxxxxxxx" \
  -H "X-Secret-Key: sk_xxxxxxxxxxxxxxxx" \
  -H "Content-Type: application/json" \
  -d '{"domain": "acme.com", "searchType": "MostValuable", "pageSize": 25}'

Authorizations

X-Access-Key
string
header
required

The public API key from the Credentials page.

X-Secret-Key
string
header
required

The API secret shown when the credential is created.

Body

application/json
domain
string
required

Domain to analyze organic search keywords for.

Example:

"acme.com"

searchType
enum<string>
required
Available options:
GainedClicks,
LostClicks,
GainedRanks,
LostRanks,
MostValuable,
NewlyRanked,
JustMadeIt,
JustFellOff
Example:

"MostValuable"

pageSize
number
default:25
Required range: 1 <= x <= 100
searchVolumeMin
number
Required range: x >= 0
searchVolumeMax
number
Required range: x >= 0
rankMin
number
Required range: x >= 1
rankMax
number
Required range: x >= 1
includeTerms
string

Comma-separated terms that must appear in keywords.

excludeTerms
string

Comma-separated terms to exclude from keywords.

Response

Organic search keywords for a domain.

data
object
required
meta
object
required